﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using Morphine.Base;

namespace Morphine
{
    public class Settings : XmlSerializable
    {
        public Settings()
        {
            Width = 640;
            Height = 480;
            Left = SystemParameters.PrimaryScreenWidth/2 - Width/2;
            Top = SystemParameters.PrimaryScreenHeight / 2 - Height / 2;
            PlaylistWidth = 200;
            EnableDynamicColor = false;
            Volume = 50;
            Shuffle = false;
            IsMinimode = false;
        }

        public double Left { get; set; }
        public double Top { get; set; }
        public double Width { get; set; }
        public double Height { get; set; }
        public double PlaylistWidth { get; set; }
        public bool EnableDynamicColor { get; set; }
        public int Volume { get; set; }
        public bool Shuffle { get; set; }
        public bool IsMinimode { get; set; }
        public bool TopMost { get; set; }
        public List<string> RecentItems { get; set; }
    }
}
